ED(1)

NAZWA
ed, red - wierszowy edytor tekstu

SKŁADNIA
ed [opcje] [[+wiersz] plik]

OPIS
GNU ed jest wierszowym edytorem tekstu. Służy do tworzenia, wyświetlania, modyfikowania i manipulowania plikami tekstowymi, zarówno interaktywnie jak i za pomocą skryptów powłoki. Ograniczona wersja ed - red, może jedynie edytować pliki w bieżącym katalogu i nie może wykonywać skryptów powłoki. Program ed jest "standardowym" edytorem tekstu w tym sensie, że jest pierwotnym edytorem do Uniksa, zatem jest powszechnie dostępny. Do większości zastosowań właściwsze jest korzystanie z pełnoekranowych edytorów takich jak GNU Emacs lub GNU Moe (lub vim - przyp. tłum.).

Nazwę pliku można poprzedzić: "+wiersz", "+/WR" lub "+?WR" aby ustawić bieżący numer wiersza do podanego lub podać pierwszy albo ostatni wiersz pasujący do wyrażenia regularnego "WR".

OPCJE

-h, --help
    wyświetla ten tekst i kończy pracę

-V, --version
    wyświetla informacje o wersji i kończy działanie

-E, --extended-regexp
    używa rozszerzonych wyrażeń regularnych

-G, --traditional
    działa w trybie kompatybilności

-l, --loose-exit-status
    wychodzi z kodem zakończenia 0, nawet gdy polecenie się nie powiedzie

-p, --prompt=NAPIS
    Używa NAPISU jako znaku zachęty

-q, --quiet, --silent
    wyłącza diagnostykę wypisywaną na standardowe wyjście błędów

-r, --restricted
    działa w trybie okrojonym

-s, --script
    wyłącza zliczanie bajtów i znak zachęty "!"

-v, --verbose
    bardziej szczegółowe wyjście; ekwiwalent polecenia "H"

--strip-trailing-cr
    wycina znak powrotu karetki (CR) na końcu wierszy tekstu

--unsafe-names
    zezwala na znaki sterujące z zakresu 1-31 w nazwach plików

Zaczyna edycję od odczytu pliku. jeśli go podano. Jeśli plik zaczyna się od !, czyta wyjście polecenia powłoki.

Kod zakończenia: 0 dla normalnego wyjścia, 1 dla problemów środowiska (nieprawidłowe opcje wiersza poleceń, wyczerpana pamięć, polecenie nie powiodło się itp.), 2 dla problemów z plikiem wejściowych (nie znaleziono pliku, zmodyfikowano bufor, błędy wejścia/wyjścia), 3 dla wewnętrznego błędu (np. bug), który zmusił ed do przerwania.

ZGŁASZANIE BŁĘDÓW
Błędy prosimy zgłaszać na adres bug-ed@gnu.org
Strona domowa Ed: http://www.gnu.org/software/ed/ed.html
Ogólna pomoc dotycząca oprogramowania GNU: http://www.gnu.org/gethelp

PRAWA AUTORSKIE
Copyright © 1994 Andrew L. Moore.
Copyright © 2024 Antonio Diaz Diaz. Licencja GPLv2+: GNU GPL w wersji 2 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu ed jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz ed są właściwie zainstalowane, polecenie

    info ed

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.